
Redmine - Feature #2807

E-Mail address is shown public by default - No admin override

2009-02-22 19:41 - Jim Jones

Status: Closed Start date: 2009-02-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

The e-mail addresses of project members are shown on their profile page by default.

The admin can neither toggle that flag for individual users, nor set a default (or enforced hide/show) for a project.

Proposed feature:

Add per-project config option: Show e-mail by default, Hide e-mail by default, Always Show (user can't choose), Always hide

(user can't choose)

Add the flag to the user-edit screen so the admin can change it without diving into the database

Related issues:

Is duplicate of Redmine - Feature #3503: Administrator Be Able To Modify Emai... Closed 2009-06-16

Is duplicate of Redmine - Feature #21042: Check "Hide my email address" by de... Closed

Is duplicate of Redmine - Feature #21447: Option to show email adresses by de... Closed

History

#1 - 2009-02-22 19:48 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2011-03-24 05:59 - Toshi MARUYAMA

- Category set to Email notifications

#3 - 2016-01-07 05:46 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

I think this issue was fixed by the following issues.

Admin can change user's email settings as of Redmine 1.1.0 (#3503).

"Hide my email address" is enabled by default as of Redmine 3.2.0 (#21042).

A global option to set the default value of "Hide my email address" will be added in Redmine 3.2.1 (#21447)

#4 - 2016-01-07 05:46 - Go MAEDA

- Related to Feature #3503: Administrator Be Able To Modify Email settings Of Users added

#5 - 2016-01-07 05:46 - Go MAEDA

- Related to deleted (Feature #3503: Administrator Be Able To Modify Email settings Of Users)

#6 - 2016-01-07 05:47 - Go MAEDA

- Is duplicate of Feature #3503: Administrator Be Able To Modify Email settings Of Users added

#7 - 2016-01-07 05:47 - Go MAEDA

- Is duplicate of Feature #21042: Check "Hide my email address" by default for new users added

#8 - 2016-01-07 05:47 - Go MAEDA

- Is duplicate of Feature #21447: Option to show email adresses by default added
